Package owl.grammar

## Class LTLParserBaseListener

- java.lang.Object
- - owl.grammar.LTLParserBaseListener

- All Implemented Interfaces:
    `org.antlr.v4.runtime.tree.ParseTreeListener`, `LTLParserListener`

      public class LTLParserBaseListener
      extends Object
      implements LTLParserListener

  This class provides an empty implementation of `LTLParserListener`, which can be extended to create a listener which only needs to handle a subset of the available methods.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LTLParserBaseListener()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `enterAndExpression​(LTLParser.AndExpressionContext ctx)` | Enter a parse tree produced by `LTLParser.andExpression()`.
    `void` | `enterBinaryOp​(LTLParser.BinaryOpContext ctx)` | Enter a parse tree produced by `LTLParser.binaryOp()`.
    `void` | `enterBinaryOperation​(LTLParser.BinaryOperationContext ctx)` | Enter a parse tree produced by the `binaryOperation` labeled alternative in `LTLParser.binaryExpression()`.
    `void` | `enterBinaryUnary​(LTLParser.BinaryUnaryContext ctx)` | Enter a parse tree produced by the `binaryUnary` labeled alternative in `LTLParser.binaryExpression()`.
    `void` | `enterBool​(LTLParser.BoolContext ctx)` | Enter a parse tree produced by `LTLParser.bool()`.
    `void` | `enterBoolean​(LTLParser.BooleanContext ctx)` | Enter a parse tree produced by the `boolean` labeled alternative in `LTLParser.atomExpression()`.
    `void` | `enterComparison​(LTLParser.ComparisonContext ctx)` | Enter a parse tree produced by `LTLParser.comparison()`.
    `void` | `enterDoubleQuotedVariable​(LTLParser.DoubleQuotedVariableContext ctx)` | Enter a parse tree produced by the `doubleQuotedVariable` labeled alternative in `LTLParser.atomExpression()`.
    `void` | `enterEveryRule​(org.antlr.v4.runtime.ParserRuleContext ctx)`
    `void` | `enterExpression​(LTLParser.ExpressionContext ctx)` | Enter a parse tree produced by `LTLParser.expression()`.
    `void` | `enterFormula​(LTLParser.FormulaContext ctx)` | Enter a parse tree produced by `LTLParser.formula()`.
    `void` | `enterFraction​(LTLParser.FractionContext ctx)` | Enter a parse tree produced by the `fraction` labeled alternative in `LTLParser.frequencySpec()`.
    `void` | `enterFrequencyOp​(LTLParser.FrequencyOpContext ctx)` | Enter a parse tree produced by `LTLParser.frequencyOp()`.
    `void` | `enterNested​(LTLParser.NestedContext ctx)` | Enter a parse tree produced by the `nested` labeled alternative in `LTLParser.atomExpression()`.
    `void` | `enterOrExpression​(LTLParser.OrExpressionContext ctx)` | Enter a parse tree produced by `LTLParser.orExpression()`.
    `void` | `enterProbability​(LTLParser.ProbabilityContext ctx)` | Enter a parse tree produced by the `probability` labeled alternative in `LTLParser.frequencySpec()`.
    `void` | `enterSingleQuotedVariable​(LTLParser.SingleQuotedVariableContext ctx)` | Enter a parse tree produced by the `singleQuotedVariable` labeled alternative in `LTLParser.atomExpression()`.
    `void` | `enterUnaryAtom​(LTLParser.UnaryAtomContext ctx)` | Enter a parse tree produced by the `unaryAtom` labeled alternative in `LTLParser.unaryExpression()`.
    `void` | `enterUnaryOp​(LTLParser.UnaryOpContext ctx)` | Enter a parse tree produced by `LTLParser.unaryOp()`.
    `void` | `enterUnaryOperation​(LTLParser.UnaryOperationContext ctx)` | Enter a parse tree produced by the `unaryOperation` labeled alternative in `LTLParser.unaryExpression()`.
    `void` | `enterVariable​(LTLParser.VariableContext ctx)` | Enter a parse tree produced by the `variable` labeled alternative in `LTLParser.atomExpression()`.
    `void` | `exitAndExpression​(LTLParser.AndExpressionContext ctx)` | Exit a parse tree produced by `LTLParser.andExpression()`.
    `void` | `exitBinaryOp​(LTLParser.BinaryOpContext ctx)` | Exit a parse tree produced by `LTLParser.binaryOp()`.
    `void` | `exitBinaryOperation​(LTLParser.BinaryOperationContext ctx)` | Exit a parse tree produced by the `binaryOperation` labeled alternative in `LTLParser.binaryExpression()`.
    `void` | `exitBinaryUnary​(LTLParser.BinaryUnaryContext ctx)` | Exit a parse tree produced by the `binaryUnary` labeled alternative in `LTLParser.binaryExpression()`.
    `void` | `exitBool​(LTLParser.BoolContext ctx)` | Exit a parse tree produced by `LTLParser.bool()`.
    `void` | `exitBoolean​(LTLParser.BooleanContext ctx)` | Exit a parse tree produced by the `boolean` labeled alternative in `LTLParser.atomExpression()`.
    `void` | `exitComparison​(LTLParser.ComparisonContext ctx)` | Exit a parse tree produced by `LTLParser.comparison()`.
    `void` | `exitDoubleQuotedVariable​(LTLParser.DoubleQuotedVariableContext ctx)` | Exit a parse tree produced by the `doubleQuotedVariable` labeled alternative in `LTLParser.atomExpression()`.
    `void` | `exitEveryRule​(org.antlr.v4.runtime.ParserRuleContext ctx)`
    `void` | `exitExpression​(LTLParser.ExpressionContext ctx)` | Exit a parse tree produced by `LTLParser.expression()`.
    `void` | `exitFormula​(LTLParser.FormulaContext ctx)` | Exit a parse tree produced by `LTLParser.formula()`.
    `void` | `exitFraction​(LTLParser.FractionContext ctx)` | Exit a parse tree produced by the `fraction` labeled alternative in `LTLParser.frequencySpec()`.
    `void` | `exitFrequencyOp​(LTLParser.FrequencyOpContext ctx)` | Exit a parse tree produced by `LTLParser.frequencyOp()`.
    `void` | `exitNested​(LTLParser.NestedContext ctx)` | Exit a parse tree produced by the `nested` labeled alternative in `LTLParser.atomExpression()`.
    `void` | `exitOrExpression​(LTLParser.OrExpressionContext ctx)` | Exit a parse tree produced by `LTLParser.orExpression()`.
    `void` | `exitProbability​(LTLParser.ProbabilityContext ctx)` | Exit a parse tree produced by the `probability` labeled alternative in `LTLParser.frequencySpec()`.
    `void` | `exitSingleQuotedVariable​(LTLParser.SingleQuotedVariableContext ctx)` | Exit a parse tree produced by the `singleQuotedVariable` labeled alternative in `LTLParser.atomExpression()`.
    `void` | `exitUnaryAtom​(LTLParser.UnaryAtomContext ctx)` | Exit a parse tree produced by the `unaryAtom` labeled alternative in `LTLParser.unaryExpression()`.
    `void` | `exitUnaryOp​(LTLParser.UnaryOpContext ctx)` | Exit a parse tree produced by `LTLParser.unaryOp()`.
    `void` | `exitUnaryOperation​(LTLParser.UnaryOperationContext ctx)` | Exit a parse tree produced by the `unaryOperation` labeled alternative in `LTLParser.unaryExpression()`.
    `void` | `exitVariable​(LTLParser.VariableContext ctx)` | Exit a parse tree produced by the `variable` labeled alternative in `LTLParser.atomExpression()`.
    `void` | `visitErrorNode​(org.antlr.v4.runtime.tree.ErrorNode node)`
    `void` | `visitTerminal​(org.antlr.v4.runtime.tree.TerminalNode node)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LTLParserBaseListener

          public LTLParserBaseListener()

  - ### Method Detail

    - #### enterFormula

          public void enterFormula​(LTLParser.FormulaContext ctx)

      Enter a parse tree produced by `LTLParser.formula()`.

      The default implementation does nothing.

      Specified by:
        `enterFormula` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitFormula

          public void exitFormula​(LTLParser.FormulaContext ctx)

      Exit a parse tree produced by `LTLParser.formula()`.

      The default implementation does nothing.

      Specified by:
        `exitFormula` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterExpression

          public void enterExpression​(LTLParser.ExpressionContext ctx)

      Enter a parse tree produced by `LTLParser.expression()`.

      The default implementation does nothing.

      Specified by:
        `enterExpression` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitExpression

          public void exitExpression​(LTLParser.ExpressionContext ctx)

      Exit a parse tree produced by `LTLParser.expression()`.

      The default implementation does nothing.

      Specified by:
        `exitExpression` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterOrExpression

          public void enterOrExpression​(LTLParser.OrExpressionContext ctx)

      Enter a parse tree produced by `LTLParser.orExpression()`.

      The default implementation does nothing.

      Specified by:
        `enterOrExpression` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitOrExpression

          public void exitOrExpression​(LTLParser.OrExpressionContext ctx)

      Exit a parse tree produced by `LTLParser.orExpression()`.

      The default implementation does nothing.

      Specified by:
        `exitOrExpression` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterAndExpression

          public void enterAndExpression​(LTLParser.AndExpressionContext ctx)

      Enter a parse tree produced by `LTLParser.andExpression()`.

      The default implementation does nothing.

      Specified by:
        `enterAndExpression` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitAndExpression

          public void exitAndExpression​(LTLParser.AndExpressionContext ctx)

      Exit a parse tree produced by `LTLParser.andExpression()`.

      The default implementation does nothing.

      Specified by:
        `exitAndExpression` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterBinaryOperation

          public void enterBinaryOperation​(LTLParser.BinaryOperationContext ctx)

      Enter a parse tree produced by the `binaryOperation` labeled alternative in `LTLParser.binaryExpression()`.

      The default implementation does nothing.

      Specified by:
        `enterBinaryOperation` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitBinaryOperation

          public void exitBinaryOperation​(LTLParser.BinaryOperationContext ctx)

      Exit a parse tree produced by the `binaryOperation` labeled alternative in `LTLParser.binaryExpression()`.

      The default implementation does nothing.

      Specified by:
        `exitBinaryOperation` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterBinaryUnary

          public void enterBinaryUnary​(LTLParser.BinaryUnaryContext ctx)

      Enter a parse tree produced by the `binaryUnary` labeled alternative in `LTLParser.binaryExpression()`.

      The default implementation does nothing.

      Specified by:
        `enterBinaryUnary` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitBinaryUnary

          public void exitBinaryUnary​(LTLParser.BinaryUnaryContext ctx)

      Exit a parse tree produced by the `binaryUnary` labeled alternative in `LTLParser.binaryExpression()`.

      The default implementation does nothing.

      Specified by:
        `exitBinaryUnary` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterUnaryOperation

          public void enterUnaryOperation​(LTLParser.UnaryOperationContext ctx)

      Enter a parse tree produced by the `unaryOperation` labeled alternative in `LTLParser.unaryExpression()`.

      The default implementation does nothing.

      Specified by:
        `enterUnaryOperation` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitUnaryOperation

          public void exitUnaryOperation​(LTLParser.UnaryOperationContext ctx)

      Exit a parse tree produced by the `unaryOperation` labeled alternative in `LTLParser.unaryExpression()`.

      The default implementation does nothing.

      Specified by:
        `exitUnaryOperation` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterUnaryAtom

          public void enterUnaryAtom​(LTLParser.UnaryAtomContext ctx)

      Enter a parse tree produced by the `unaryAtom` labeled alternative in `LTLParser.unaryExpression()`.

      The default implementation does nothing.

      Specified by:
        `enterUnaryAtom` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitUnaryAtom

          public void exitUnaryAtom​(LTLParser.UnaryAtomContext ctx)

      Exit a parse tree produced by the `unaryAtom` labeled alternative in `LTLParser.unaryExpression()`.

      The default implementation does nothing.

      Specified by:
        `exitUnaryAtom` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterBoolean

          public void enterBoolean​(LTLParser.BooleanContext ctx)

      Enter a parse tree produced by the `boolean` labeled alternative in `LTLParser.atomExpression()`.

      The default implementation does nothing.

      Specified by:
        `enterBoolean` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitBoolean

          public void exitBoolean​(LTLParser.BooleanContext ctx)

      Exit a parse tree produced by the `boolean` labeled alternative in `LTLParser.atomExpression()`.

      The default implementation does nothing.

      Specified by:
        `exitBoolean` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterVariable

          public void enterVariable​(LTLParser.VariableContext ctx)

      Enter a parse tree produced by the `variable` labeled alternative in `LTLParser.atomExpression()`.

      The default implementation does nothing.

      Specified by:
        `enterVariable` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitVariable

          public void exitVariable​(LTLParser.VariableContext ctx)

      Exit a parse tree produced by the `variable` labeled alternative in `LTLParser.atomExpression()`.

      The default implementation does nothing.

      Specified by:
        `exitVariable` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterSingleQuotedVariable

          public void enterSingleQuotedVariable​(LTLParser.SingleQuotedVariableContext ctx)

      Enter a parse tree produced by the `singleQuotedVariable` labeled alternative in `LTLParser.atomExpression()`.

      The default implementation does nothing.

      Specified by:
        `enterSingleQuotedVariable` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitSingleQuotedVariable

          public void exitSingleQuotedVariable​(LTLParser.SingleQuotedVariableContext ctx)

      Exit a parse tree produced by the `singleQuotedVariable` labeled alternative in `LTLParser.atomExpression()`.

      The default implementation does nothing.

      Specified by:
        `exitSingleQuotedVariable` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterDoubleQuotedVariable

          public void enterDoubleQuotedVariable​(LTLParser.DoubleQuotedVariableContext ctx)

      Enter a parse tree produced by the `doubleQuotedVariable` labeled alternative in `LTLParser.atomExpression()`.

      The default implementation does nothing.

      Specified by:
        `enterDoubleQuotedVariable` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitDoubleQuotedVariable

          public void exitDoubleQuotedVariable​(LTLParser.DoubleQuotedVariableContext ctx)

      Exit a parse tree produced by the `doubleQuotedVariable` labeled alternative in `LTLParser.atomExpression()`.

      The default implementation does nothing.

      Specified by:
        `exitDoubleQuotedVariable` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterNested

          public void enterNested​(LTLParser.NestedContext ctx)

      Enter a parse tree produced by the `nested` labeled alternative in `LTLParser.atomExpression()`.

      The default implementation does nothing.

      Specified by:
        `enterNested` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitNested

          public void exitNested​(LTLParser.NestedContext ctx)

      Exit a parse tree produced by the `nested` labeled alternative in `LTLParser.atomExpression()`.

      The default implementation does nothing.

      Specified by:
        `exitNested` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterUnaryOp

          public void enterUnaryOp​(LTLParser.UnaryOpContext ctx)

      Enter a parse tree produced by `LTLParser.unaryOp()`.

      The default implementation does nothing.

      Specified by:
        `enterUnaryOp` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitUnaryOp

          public void exitUnaryOp​(LTLParser.UnaryOpContext ctx)

      Exit a parse tree produced by `LTLParser.unaryOp()`.

      The default implementation does nothing.

      Specified by:
        `exitUnaryOp` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterBinaryOp

          public void enterBinaryOp​(LTLParser.BinaryOpContext ctx)

      Enter a parse tree produced by `LTLParser.binaryOp()`.

      The default implementation does nothing.

      Specified by:
        `enterBinaryOp` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitBinaryOp

          public void exitBinaryOp​(LTLParser.BinaryOpContext ctx)

      Exit a parse tree produced by `LTLParser.binaryOp()`.

      The default implementation does nothing.

      Specified by:
        `exitBinaryOp` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterBool

          public void enterBool​(LTLParser.BoolContext ctx)

      Enter a parse tree produced by `LTLParser.bool()`.

      The default implementation does nothing.

      Specified by:
        `enterBool` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitBool

          public void exitBool​(LTLParser.BoolContext ctx)

      Exit a parse tree produced by `LTLParser.bool()`.

      The default implementation does nothing.

      Specified by:
        `exitBool` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterFrequencyOp

          public void enterFrequencyOp​(LTLParser.FrequencyOpContext ctx)

      Enter a parse tree produced by `LTLParser.frequencyOp()`.

      The default implementation does nothing.

      Specified by:
        `enterFrequencyOp` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitFrequencyOp

          public void exitFrequencyOp​(LTLParser.FrequencyOpContext ctx)

      Exit a parse tree produced by `LTLParser.frequencyOp()`.

      The default implementation does nothing.

      Specified by:
        `exitFrequencyOp` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterFraction

          public void enterFraction​(LTLParser.FractionContext ctx)

      Enter a parse tree produced by the `fraction` labeled alternative in `LTLParser.frequencySpec()`.

      The default implementation does nothing.

      Specified by:
        `enterFraction` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitFraction

          public void exitFraction​(LTLParser.FractionContext ctx)

      Exit a parse tree produced by the `fraction` labeled alternative in `LTLParser.frequencySpec()`.

      The default implementation does nothing.

      Specified by:
        `exitFraction` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterProbability

          public void enterProbability​(LTLParser.ProbabilityContext ctx)

      Enter a parse tree produced by the `probability` labeled alternative in `LTLParser.frequencySpec()`.

      The default implementation does nothing.

      Specified by:
        `enterProbability` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitProbability

          public void exitProbability​(LTLParser.ProbabilityContext ctx)

      Exit a parse tree produced by the `probability` labeled alternative in `LTLParser.frequencySpec()`.

      The default implementation does nothing.

      Specified by:
        `exitProbability` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterComparison

          public void enterComparison​(LTLParser.ComparisonContext ctx)

      Enter a parse tree produced by `LTLParser.comparison()`.

      The default implementation does nothing.

      Specified by:
        `enterComparison` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### exitComparison

          public void exitComparison​(LTLParser.ComparisonContext ctx)

      Exit a parse tree produced by `LTLParser.comparison()`.

      The default implementation does nothing.

      Specified by:
        `exitComparison` in interface `LTLParserListener`
      Parameters:
        `ctx` - the parse tree

    - #### enterEveryRule

          public void enterEveryRule​(org.antlr.v4.runtime.ParserRuleContext ctx)

      The default implementation does nothing.

      Specified by:
        `enterEveryRule` in interface `org.antlr.v4.runtime.tree.ParseTreeListener`

    - #### exitEveryRule

          public void exitEveryRule​(org.antlr.v4.runtime.ParserRuleContext ctx)

      The default implementation does nothing.

      Specified by:
        `exitEveryRule` in interface `org.antlr.v4.runtime.tree.ParseTreeListener`

    - #### visitTerminal

          public void visitTerminal​(org.antlr.v4.runtime.tree.TerminalNode node)

      The default implementation does nothing.

      Specified by:
        `visitTerminal` in interface `org.antlr.v4.runtime.tree.ParseTreeListener`

    - #### visitErrorNode

          public void visitErrorNode​(org.antlr.v4.runtime.tree.ErrorNode node)

      The default implementation does nothing.

      Specified by:
        `visitErrorNode` in interface `org.antlr.v4.runtime.tree.ParseTreeListener`